## diagnostics 0.1

=== debian/changelog ===
diagnostics (0.1) unstable; urgency=low

  * Initial release (Closes: #413759)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Wed, 28 Feb 2007 23:57:01 +0100
