=== debian/control ===
Source: diagnostics
Priority: extra
Maintainer: Michael Tautschnig <tautschn@model.in.tum.de>
Build-Depends: debhelper (>= 5), automake1.9, pkg-config, libtool, libace-dev
Standards-Version: 3.7.2
Section: libs

Package: libdiagnostics-dev
Section: libdevel
Architecture: any
Depends: libdiagnostics0 (= ${binary:Version})
Description: A framework for logging, unittesting, and runtime diagnostics
 Diagnostics is a unified framework for code annotation, logging,
 program monitoring, and unit-testing.
 .
 The annotations of diagnostics provide simple trace messages, tracing
 method entry and exit, checks (which potentially fail), asserts (which
 should never fail), invariance checking on method entry and exit, and
 a number of annotations for testing.
 .
 The annotations raise events which are can be observed and monitored. 
 Using different loggers, the stream of logging events is used for 
 logging or testing.

Package: libdiagnostics0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A framework for logging, unittesting, and runtime diagnostics
 Diagnostics is a unified framework for code annotation, logging,
 program monitoring, and unit-testing.
 .
 The annotations of diagnostics provide simple trace messages, tracing
 method entry and exit, checks (which potentially fail), asserts (which
 should never fail), invariance checking on method entry and exit, and
 a number of annotations for testing.
 .
 The annotations raise events which are can be observed and monitored. 
 Using different loggers, the stream of logging events is used for 
 logging or testing.
