## diagnostics 0.2.8

=== debian/changelog ===
diagnostics (0.2.8-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Update libdiagnostics0.symbols.common based on test build on Ubuntu
      Lucid

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Apr 2010 23:22:59 -0400

diagnostics (0.2.8-1) unstable; urgency=low

  * New upstream version
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards-Version (no changes)
  * Updated symbols files (thanks Andreas Moog <amoog@ubuntu.com>)
    (closes: #562397)
  * Added ${misc:Depends} to all binary packages

 -- Michael Tautschnig <mt@debian.org>  Sat, 16 Jan 2010 23:27:48 +0100

diagnostics (0.2.7-2ubuntu1) karmic; urgency=low

  * Update symbols file to fix FTBFS on ubuntu. (LP: #407190)

 -- Andreas Moog <amoog@ubuntu.com>  Wed, 12 Aug 2009 01:48:34 +0200

diagnostics (0.2.7-2) unstable; urgency=low

  * Updated symbols file for alpha (grrrr)

 -- Michael Tautschnig <mt@debian.org>  Tue, 21 Apr 2009 10:02:11 +0200

diagnostics (0.2.7-1) unstable; urgency=low

  * New upstream release (updated copyright information)
  * Bumped Standards-Version (no changes)
  * Fixed watch file
  * Improved descriptions

 -- Michael Tautschnig <mt@debian.org>  Sat, 18 Apr 2009 18:49:46 +0200

diagnostics (0.2.6-1) unstable; urgency=low

  * New upstream release (user exceptions, WIN32 compatibility)

 -- Michael Tautschnig <mt@debian.org>  Sun, 22 Feb 2009 17:52:19 +0100

diagnostics (0.2.5-1) unstable; urgency=low

  * New upstream release (merged symbol files)
  * Proper cleanup of config.guess
  * Added Homepage: field
  * Added watch file

 -- Michael Tautschnig <mt@debian.org>  Mon, 06 Oct 2008 21:24:36 +0200

diagnostics (0.2.4-2) unstable; urgency=low

  * Updated symbols control files to fix FTBFS on alpha

 -- Michael Tautschnig <mt@debian.org>  Wed, 23 Jul 2008 09:48:47 +0200

diagnostics (0.2.4-1) unstable; urgency=low

  * New upstream release: Debian patches mostly merged upstream
  * Proper cleanup code instead of debian/rules hacks

 -- Michael Tautschnig <mt@debian.org>  Sun, 20 Jul 2008 18:08:15 +0200

diagnostics (0.2.3-2) unstable; urgency=low

  * Added arch-specific symbol files

 -- Michael Tautschnig <mt@debian.org>  Sun, 20 Jul 2008 09:40:34 +0200

diagnostics (0.2.3-1) unstable; urgency=low

  * Do make check only if nocheck is not set
  * Cleanup config.guess,config.sub as suggested in autotools-dev bug 482716
  * Removed postinst, postrm templates (thanks, lintian)
  * Added symbols control file
  * Bumped standards version to 3.8.0 (no changes)
  * Acknowledge NMU (closes: #489386)
  * Not maintained as Debian-native anymore

 -- Michael Tautschnig <mt@debian.org>  Fri, 18 Jul 2008 22:41:35 +0200

diagnostics (0.2.2+nmu1) unstable; urgency=low

  * Non-maintainer upload, as requested by Michael.
  * Work-around a g++ 4.3 bug on s390 causing the package to FTBFS on this
    arch (closes: #489386)

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 05 Jul 2008 13:51:35 +0200

diagnostics (0.2.2) unstable; urgency=low

  * stream_test_system.cpp: #include cstring to fix FTBFS with gcc 4.3
    (closes: #461952)

 -- Michael Tautschnig <mt@debian.org>  Wed, 23 Jan 2008 23:04:30 +0100

diagnostics (0.2.1) unstable; urgency=low

  * Shortened changelog line 4 in 0.2 (thanks, lintian)
  * diff_generator.cpp: Check for possible overflows

 -- Michael Tautschnig <mt@debian.org>  Sun, 23 Dec 2007 17:23:59 +0100

diagnostics (0.2) unstable; urgency=low

  * libdiagnostics-dev Recommends: libace-dev
  * Updated maintainer address
  * Bumped standards version (no changes required)
  * load_symbol.cpp: #include cstdlib to fix FTBFS with gcc 4.3
    (closes: #455649)
  * Added Vcs-Brower link
  * Merged back changes/improvements to lib_annotations.hpp done in several
    projects that use diagnostics
  * stream_test_data_adaptor.cpp: Added info on what the letters mean to all
    situations (closes: #455559)
  * diff_generator.cpp, diff.t.cpp: Rewrote the LCSS code to fix the broken
    diffs (closes: #455560)
  * stream_test_system.cpp: Test for a sufficient number of arguments before
    calling strcmp, added -h and help message (closes: #455558)

 -- Michael Tautschnig <mt@debian.org>  Sun, 16 Dec 2007 21:04:41 +0100
