=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: diagnostics
 Priority: extra
-Maintainer: Michael Tautschnig <tautschn@model.in.tum.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>= 5), automake1.9, pkg-config, libtool, libace-dev
-Standards-Version: 3.7.2
+Standards-Version: 3.8.3
 Section: libs
+Vcs-Browser: http://code.forsyte.de/diagnostics/browser/trunk
+Homepage: http://code.forsyte.de/diagnostics
 
 Package: libdiagnostics-dev
 Section: libdevel
 Architecture: any
-Depends: libdiagnostics0 (= ${binary:Version})
-Description: A framework for logging, unittesting, and runtime diagnostics
+Depends: libdiagnostics0 (= ${binary:Version}), ${misc:Depends}
+Recommends: libace-dev
+Description: Logging, unittesting, and runtime diagnostics for C++ - development files
  Diagnostics is a unified framework for code annotation, logging,
  program monitoring, and unit-testing.
  .
@@ -21,12 +25,14 @@
  The annotations raise events which are can be observed and monitored. 
  Using different loggers, the stream of logging events is used for 
  logging or testing.
+ .
+ The package contains the needed headers and libraries for
+ developing software using Diagnostics.
 
 Package: libdiagnostics0
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
-Description: A framework for logging, unittesting, and runtime diagnostics
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Logging, unittesting, and runtime diagnostics for C++ - library
  Diagnostics is a unified framework for code annotation, logging,
  program monitoring, and unit-testing.
  .
@@ -38,3 +44,6 @@
  The annotations raise events which are can be observed and monitored. 
  Using different loggers, the stream of logging events is used for 
  logging or testing.
+ .
+ The package contains the libraries for running software linked against
+ Diagnostics.
