## diagnostics 0.3.1

=== debian/changelog ===
diagnostics (0.3.1-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1 (removed shlibs.local)
  * Mark stacktrace related symbols arch=!armel without hack (requires
    dpkg-dev >= 1.15.8), removed duplicates in symbol files
  * Force HAVE_ACE to 1 in configure.ac because of #591610
    (closes: #593044)

 -- Michael Tautschnig <mt@debian.org>  Mon, 16 Aug 2010 11:17:13 +0200

diagnostics (0.3.1-2) unstable; urgency=low

  * Mark stacktrace related symbols arch=!armel

 -- Michael Tautschnig <mt@debian.org>  Sat, 29 May 2010 09:33:52 +0200

diagnostics (0.3.1-1) unstable; urgency=low

  * New upstream version
    - Fixes FTBFS on armel

 -- Michael Tautschnig <mt@debian.org>  Thu, 27 May 2010 16:38:27 +0200

diagnostics (0.3-3) unstable; urgency=low

  * Fix symbol files for 32bit architectures, once again

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 13:14:29 +0200

diagnostics (0.3-2) unstable; urgency=low

  * Fix symbol files for 32bit architectures
  * Force CXXFLAGS for compiling stacktrace to -O1 -g

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 11:03:54 +0200

diagnostics (0.3-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version (no changes)
  * Use c++ tagging for symbol files (closes: #574300, #570692)

 -- Michael Tautschnig <mt@debian.org>  Thu, 22 Apr 2010 00:13:40 +0200
