=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: diagnostics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 5), automake1.9, pkg-config, libtool, libace-dev
-Standards-Version: 3.8.3
+Maintainer: Michael Tautschnig <mt@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 5), automake1.9, pkg-config, libtool, libltdl-dev, libace-dev
+Standards-Version: 3.9.1
 Section: libs
 Vcs-Browser: http://code.forsyte.de/diagnostics/browser/trunk
 Homepage: http://code.forsyte.de/diagnostics
