## diagnostics 0.3.3

=== debian/changelog ===
diagnostics (0.3.3-9) unstable; urgency=low

  * Really disable stacktrace on hurd
  * Update symbols file to reflect this

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 15:01:41 +0100

diagnostics (0.3.3-8) unstable; urgency=low

  * hurd doesn't have /proc/self/exe, hence disable stacktrace

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 09:47:43 +0100

diagnostics (0.3.3-7) unstable; urgency=low

  * Cope with automake 1.12/1.13 parallel test harnesses

 -- Michael Tautschnig <mt@debian.org>  Tue, 09 Jul 2013 16:30:48 +0100

diagnostics (0.3.3-6) unstable; urgency=low

  * Make sure PATH_MAX is defined (which isn't the case on hurd)

 -- Michael Tautschnig <mt@debian.org>  Tue, 09 Jul 2013 03:00:03 +0100

diagnostics (0.3.3-5) unstable; urgency=low

  * Do not use ACE on hurd, it seems to be incomplete
  * Remove libltdl directory on clean

 -- Michael Tautschnig <mt@debian.org>  Mon, 08 Jul 2013 21:04:58 +0100

diagnostics (0.3.3-4) unstable; urgency=low

  * Move to minimal dh debian/rules
  * Compatibility level bumped to 9

 -- Michael Tautschnig <mt@debian.org>  Mon, 08 Jul 2013 08:22:36 +0100

diagnostics (0.3.3-3) unstable; urgency=low

  * Fix symbols file for armhf

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 17:44:20 +0000

diagnostics (0.3.3-2) unstable; urgency=low

  * Acknowledge NMU (closes: #667150, #652201, #638470, #621225)
  * Update watch file (thanks Bart Martens)
  * Disable stacktrace for arm-linux-gnueabihf (closes: #687559)
  * Bump Standards Version to 3.9.4 (no changes)
  * Properly pass buildflags
  * Updated upstream URL (and removed VCS)

 -- Michael Tautschnig <mt@debian.org>  Sun, 02 Dec 2012 13:10:32 +0000

diagnostics (0.3.3-1.3) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667150.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:22:08 +0200

diagnostics (0.3.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with multiarch libltdl-dev. (Closes: #652201)
  * debian/control: Fix Vcs-Browser URL. (Closes: #638470)

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 18:59:42 +0100

diagnostics (0.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (closes: #621225)

 -- Luk Claes <luk@debian.org>  Sun, 29 May 2011 19:26:27 +0200

diagnostics (0.3.3-1) unstable; urgency=low

  * New upstream version (closes: #625163)
  * Merged all bugfixes
  * Bumped Standards-Version (no changes)

 -- Michael Tautschnig <mt@debian.org>  Thu, 26 May 2011 16:08:46 +0100

diagnostics (0.3.2-4) unstable; urgency=low

  * More work on symbol files.
  * Workaround for failing test on kfreebsd.

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 20:27:05 +0100

diagnostics (0.3.2-3) unstable; urgency=low

  * Cleanup symbol files, making all internal stuff optional.

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 18:59:38 +0100

diagnostics (0.3.2-2) unstable; urgency=low

  * Fix non-portable use of realpath (closes: #618461)

 -- Michael Tautschnig <mt@debian.org>  Wed, 16 Mar 2011 15:11:13 +0100

diagnostics (0.3.2-1) unstable; urgency=low

  * New upstream version
  * Build-dep on libace-dev >= 5.7.7-3 as #591610 has been fixed
  * Updated symbol files to work with g++ 4.5 (closes: #615659)

 -- Michael Tautschnig <mt@debian.org>  Mon, 28 Feb 2011 10:21:38 +0100
