=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: diagnostics
 Priority: extra
 Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 5), automake1.9, pkg-config, libtool, libltdl-dev, libace-dev
-Standards-Version: 3.9.1
+Build-Depends: dpkg-dev (>= 1.16.0~), debhelper (>= 9), automake1.11 | automake (>= 1:1.9), pkg-config, libtool, libltdl-dev (>= 2.4.2-1~), libace-dev (>= 5.7.7-3) [!hurd-i386], dh-autoreconf
+Standards-Version: 3.9.4
 Section: libs
-Vcs-Browser: http://code.forsyte.de/diagnostics/browser/trunk
-Homepage: http://code.forsyte.de/diagnostics
+Homepage: http://forsyte.at/software/diagnostics
 
 Package: libdiagnostics-dev
 Section: libdevel
